Studio
Discard a Studio chat upload batch
Discards only the verified actor’s unbound upload batch and records the session operation.
POST
/
api
/
v1
/
studio
/
sessions
/
{sessionId}
/
chat
/
upload-batches
/
{batchId}
/
discard
Discard a Studio chat upload batch
curl --request POST \
--url https://api.revoengine.com/api/v1/studio/sessions/{sessionId}/chat/upload-batches/{batchId}/discard \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({operationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.revoengine.com/api/v1/studio/sessions/{sessionId}/chat/upload-batches/{batchId}/discard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/studio/sessions/{sessionId}/chat/upload-batches/{batchId}/discard"
payload = { "operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Authorizations
Bearer JWT token or API Key (sk-*).
Body
application/json
Response
201
⌘I
Discard a Studio chat upload batch
curl --request POST \
--url https://api.revoengine.com/api/v1/studio/sessions/{sessionId}/chat/upload-batches/{batchId}/discard \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({operationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.revoengine.com/api/v1/studio/sessions/{sessionId}/chat/upload-batches/{batchId}/discard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/studio/sessions/{sessionId}/chat/upload-batches/{batchId}/discard"
payload = { "operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
